Aggiungi IP all'elenco di accesso IP
curl --request POST \
--url https://api.devin.ai/v3/enterprise/ip-access-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ip_ranges": [
"<string>"
]
}
'import requests
url = "https://api.devin.ai/v3/enterprise/ip-access-list"
payload = { "ip_ranges": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ip_ranges: ['<string>']})
};
fetch('https://api.devin.ai/v3/enterprise/ip-access-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ip_ranges": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Elenco di accesso IP (Enterprise)
Aggiungi IP all'elenco di accesso IP
POST
/
v3
/
enterprise
/
ip-access-list
Aggiungi IP all'elenco di accesso IP
Questo endpoint aggiunge intervalli IP all’elenco di accesso IP esistente senza rimuovere gli intervalli già presenti. Per sostituire l’intero elenco, usa l’endpoint Sostituisci l’elenco di accesso IP.
Richiede un utente di servizio con l’autorizzazione
Autorizzazioni
ManageIPWhitelist a livello di Enterprise.⌘I

